;;; CoAX Binni Process Models - I-DEEL
;;; Author: Jeff Dalton and Austin Tate
;;; Updated: 30-Jun-2001 09:52
;;; Copyright: (c) 2001, AIAI, University of Edinburgh

(define-schema avoid_location (avoid ?object ?location)
   (nodes
     (1 (locate ?object ?location :precise-location))
     (2 (alter_plan_to_avoid :precise-location))
     (3 (deconflict_plans))
     (4 (establish time-to-cancel-mission))
     (5 (report I-LEED ground-activity))
   )
   (orderings (1 2 3))
)

(define-schema avoid_by_altering_timing (avoid ?object ?location)
   (nodes
     (1 (alter_timing))
     (2 (deconflict_plans))
   )
   (orderings (1 2))
)

(define-schema MBP_Ops (establish time-to-cancel-mission)
   (nodes
     (1 (query MBP_Ops :tot :commit))
     (2 (report I-LEED time-to-cancel-mission :tot :commit))
   )
   (orderings (1 2))
)

(define-schema ask_intel (locate ?object ?location ?result)
   ; primitive
)

(define-schema ask_observers (locate ?object ?location ?result)
   ; primitive
)

(define-schema query_MBP_Ops (query MBP_Ops ?x ?y)
   ; primitive
)

(define-schema use_secondary_targets (alter_plan_to_avoid ?location)
   (nodes
     (1 (select_secondary_targets_to_avoid ?location))
     (2 (note "some primaries not targeted"))
   )
)

;;; End



