;;; CoAX Binni Process Models - I-LEED
;;; Author: Jeff Dalton and Austin Tate
;;; Updated: Wed Oct 17 18:36:23 2001 by Jeff Dalton
;;; Copyright: (c) 2001, AIAI, University of Edinburgh


;;; Initial issues for JTFC panel

(define-schema separate_forces_using_firestorm 
               (separate ?alpha and ?beta forces)
  (nodes
    (1 (consider COAs))
    (2 (select firestorm mission))
    (3 (authorise firestorm mission "go"))
    (4 (report firestorm mission complete)))
  (orderings
    (1 2 3 4)))


;;; Schemas for considering entities in regions

;;; laki_safari_park overlaps firestorm area in NE
;;; sw_region overlaps firestorm area in SW
;;; Could define other spatial relationships.

(define-schema impact_on_firestorm_area_laki (consider ?arg laki_safari_park)
   (nodes
     (1 (avoid ?arg firestorm_area))
   )
   (orderings)
)

(define-schema impact_on_firestorm_area_sw (consider ?arg sw_region)
   (nodes
     (1 (avoid ?arg firestorm_area))
   )
   (orderings)
)

(define-schema no_impact_on_firestorm_area (consider ?arg ?location)
   (nodes
     (1 (deconflict_plans ))
   )
   (orderings)
)

;;; End
