/* Author: Jeff Dalton <J.Dalton@ed.ac.uk>
 * Updated: Tue Jul 17 21:43:14 2001 by Jeff Dalton
 * Copyright: (c) 2001, AIAI, University of Edinburgh
 */

package ix.icore;

import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;

/**
 * A report sent from another agent.
 */
public class Report implements Serializable {

    protected String text;
    protected Map properties = new HashMap(5);

    public Report(String text) {
	this.text = text;
    }

    public String getText() {
	return text;
    }

    public Map getProperties() {
	return properties;
    }

    public void setProperties(Map properties) {
	this.properties = properties;
    }

    public String toString() {
	return "report[" + text + "]";
    }

}
