/* Author: Jeff Dalton <J.Dalton@ed.ac.uk>
 * Updated: Tue Jul 17 23:55:49 2001 by Jeff Dalton
 * Copyright: (c) 2001, AIAI, University of Edinburgh
 */

package ix.ideel.event;

import java.util.EventListener;

import ix.ideel.IssueOption;
import ix.icore.Report;

public interface IssueListener extends EventListener {

    public void statusChanged(IssueEvent e);

    public void priorityChanged(IssueEvent e);

    public void newOption(IssueEvent e, IssueOption opt);

    public void newReport(IssueEvent e, Report report);

    public void issueEdited(IssueEvent e); // covers any other changes

}

// Issues:
// * It looks like the JDK way to handle something like newOption
//   would be to define IssueOptionEvent as a subclass of IssueEvent
//   and include the option in the IssueOptionEvent rather than
//   passing it as a second parameter.
