/* Author: Jeff Dalton <J.Dalton@ed.ac.uk>
 * Updated: Fri Jul 20 01:30:58 2001 by Jeff Dalton
 * Copyright: (c) 2001, AIAI, University of Edinburgh
 */

package ix.iface;

import javax.swing.plaf.metal.MetalLookAndFeel;

import ix.iface.util.*;

import ix.util.*;

/**
 * Class for static utilities.
 */
public class Iface {

    private Iface() { }		// no instantiation

    /**
     * Makes any standard I-X changes to the look and feel.
     *
     * @see IXMetalTheme
     */
    public static void adjustLookAndFeel() {

	Debug.noteln("Setting Metal look and feel theme.");
	MetalLookAndFeel.setCurrentTheme(new IXMetalTheme());

	// /\/: For some reason, it has no effect if we set the theme
	// after the Swing objects are created.  Perhaps we have to do:
	//
	// UIManager.setLookAndFeel("javax.swing.plaf.metal.MetalLookAndFeel");
	//
	// to get it to take effect.

    }
}
