/* Author: Jeff Dalton <J.Dalton@ed.ac.uk>
 * Updated: Tue Apr 24 00:03:52 2001 by Jeff Dalton
 * Copyright: (c) 2000, AIAI, University of Edinburgh
 */

package ix.iface.domain;

import ix.icore.domain.SchemaSymbols;
import ix.icore.domain.ProductSchemaSymbols;
import ix.util.lisp.Symbol;

/**
 * Defines constants that are useful when processing either schema
 * definitions as they appear in files or the resulting schemas themselves.
 */

public interface LTF_SchemaSymbols
extends SchemaSymbols, ProductSchemaSymbols {
    static final Symbol
	S_DEFINE_PROCESS = Symbol.intern("define-process"),
	S_DEFINE_ACTION  = Symbol.intern("define-action"),
	S_DEFINE_SCHEMA  = Symbol.intern("define-schema"),
	S_DEFINE_PRODUCT = Symbol.intern("define-product");
//	Q_COA            = Symbol.intern("?coa");
}

// Issues:
// * Should the name just be LTF_Symbols?
