/* Author: Jeff Dalton
 * Updated: Wed Jul 18 02:51:22 2001 by Jeff Dalton
 * Copyright: (c) 2001, AIAI, University of Edinburgh
 */

package ix.iface.util;

import javax.swing.JComboBox;

import ix.util.ViewColor;

/**
 * A ComboBox that contains items that represent priorities.
 * The items are "Low", "Medium", and "High", with "Medium"
 * initially selected.
 */
public class PriorityComboBox extends JComboBox {

    public PriorityComboBox() {
	super();
	addItem("Low");
	addItem("None");
	addItem("Medium");
	addItem("High");
	setSelectedItem("Medium");
    }

    public void setPriority(int priority) {
	setSelectedItem(ViewColor.priorityName[priority]);
	setBackground(ViewColor.priorityColor[priority]);
    }

}


