/* File: ProcessViewer.java
 * Contains: The definition of the ProcessViewer interface
 * Author: Jeff Dalton <J.Dalton@ed.ac.uk>
 * Created: January 1998
 * Updated: Wed May 23 18:55:51 2001 by Jeff Dalton
 * Copyright: (c) 1998, 2000, 2001, AIAI, University of Edinburgh
 */

package ix.ileed;

import java.util.*;


/** 
 * The interface that process viewers must implement in order to
 * receive information from the workflow stepper (process model).
 *
 * @see ProcessStatusUpdate
 * @see StatusChange
 * @see ProcessModel
 */

public interface ProcessViewer {

    void setProcessModel(ProcessModel model);

    void statusUpdate(ProcessStatusUpdate update);

    void reset();

}
