/* Author: Jeff Dalton <J.Dalton@ed.ac.uk>
 * Updated: Tue Jul 17 20:39:54 2001 by Jeff Dalton
 * Copyright: (c) 2001, AIAI, University of Edinburgh
 */

package ix.itest;

import javax.swing.*;

import ix.iface.util.XML;	// for debugging output
import ix.iface.util.Reporting;

import ix.util.*;


/**
 * I-TEST panel for displaying received messages.
 */
public class ReceivePanel extends JPanel {

    BasicItest itest;

    JTextArea receiveText = new JTextArea(5, 40);

    public ReceivePanel(BasicItest itest) {
	this.itest = itest;
	setLayout(new BoxLayout(this, BoxLayout.Y_AXIS));
	setBorder(BorderFactory.createTitledBorder("Received"));

	receiveText.setEditable(false);
	add(new JScrollPane(receiveText));
    }


    /**
     * Handles external input in the form of an IPC.InputMessage
     * that contains an Issue or Report object.
     */
    public void handleInput(IPC.InputMessage message) {
	appendLine(Reporting.messageDescription(message));
    }

    public void appendLine(String text) {
	String lineSeparator = System.getProperty("line.separator");
	append(text + lineSeparator);
    }

    public void append(String text) {
	receiveText.append(text);
	// Setting caret position to end should scoll to the end
	receiveText.setCaretPosition(receiveText.getText().length());
    }

}
