/* Author: Jeff Dalton <J.Dalton@ed.ac.uk>
 * Updated: Tue Jul 17 01:30:13 2001 by Jeff Dalton
 * Copyright: (c) 2001, AIAI, University of Edinburgh
 */

package ix.itest;

import java.util.*;
import java.awt.event.*;
import javax.swing.*;

import ix.icore.BasicIssue;
import ix.util.*;
import ix.util.lisp.*;


/**
 * The agent class and application main program
 */

public class UnitedNationsItest extends I_TEST {

    UnitedNationsItest() {
	super("UN Secretary General's Office Special Representative to Binni");
    }

    /**
     * Constructs a panel containing a nice, UN-related picture.
     */
    public JPanel makeLogoPanel() {
	JPanel imagePanel = new JPanel();
	ImageIcon icon = new ImageIcon("images/un-sec-gen-office.jpg");
	imagePanel.add(new JLabel(icon));
	return imagePanel;
    }

    /**
     * Main program.
     */
    public static void main(String[] argv) {

	Util.printGreeting("United Nations I-TEST");

	new UnitedNationsItest().mainStartup(argv);

    }

    /**
     * Tests
     */
    void addTests() {

	/* Any inherited tests */
	super.addTests();

    }

}
