/* Author: Jeff Dalton <J.Dalton@ed.ac.uk>
 * Updated: Wed Jul  4 17:40:57 2001 by Jeff Dalton
 * Copyright: (c) 1998, 2001, AIAI, University of Edinburgh
 */

package ix.iface.util;

import java.util.*;

import junit.framework.*;

import ix.icore.Issue;
import ix.icore.BasicIssue;
import ix.icore.Report;


/** XML.java test cases */

public class XMLTest extends TestCase {

    public XMLTest(String name) {
	super(name);
    }

    public void testBasicIssueConversion() {
	Issue from = new BasicIssue("do something");
	Issue to = (Issue)XML.objectFromXML(XML.objectToXML(from));
	assertEquals(from.getVerb(), to.getVerb());
	assertEquals(from.getParameters(), to.getParameters());
    }

    public void testBasicReportConversion() {
	Report from = new Report("did something");
	Report to = (Report)XML.objectFromXML(XML.objectToXML(from));
	assertEquals(from.getText(), to.getText());
    }

}
