/* Author: Jeff Dalton <J.Dalton@ed.ac.uk>
 * Updated: Tue May 15 16:44:23 2001 by Jeff Dalton
 * Copyright: (c) 2001, AIAI, University of Edinburgh
 */

package ix.util;

import junit.framework.*;
import ix.util.Parameters;

/**
 * Test suite that includes all tests for the ix.util package and subpackages.
 */
public class AllTests {

    public static void main(String[] argv) {
	Parameters.processCommandLineArguments(argv);
	junit.textui.TestRunner.run(suite());
    }

    public static Test suite () {
	TestSuite suite = new TestSuite("ix.util tests");

	// Tests for this package.
	suite.addTest(new TestSuite(SeqTest.class));
	suite.addTest(new TestSuite(HashSetTest.class));

	// Subpackages
	if (Parameters.getBoolean("recursive", true)) {
	    suite.addTest(ix.util.lisp.AllTests.suite());
	    suite.addTest(ix.util.context.AllTests.suite());
	}

	return suite;
    }

}
