/* Author: Jeff Dalton <J.Dalton@ed.ac.uk>
 * Updated: Tue Apr 24 19:37:55 2001 by Jeff Dalton
 * Copyright: (c) 2001, AIAI, University of Edinburgh
 */

package ix.util.lisp;

import java.util.*;

import junit.framework.*;

import ix.util.AbstractListTest;
import ix.util.Seq;

/**
 * LList test cases.
 */
public class LListTest extends AbstractListTest
implements ConvenientSymbols {

    protected LList abc;

    public LListTest(String name) {
	super(name);
    }

    protected Collection makeEmptyCollection() {
	return Lisp.list();	// N.B. not modifiable
    }

    protected Collection makeCollection(Collection source) {
	// Because the empty LList isn't modifiable, we can't use
	// the inherited method which makes an empty collection
	// and then calls its addAll method.
	return Seq.toLList(Seq.elements(source));
    }

    protected void setUp() {
	abc = (LList)Lisp.readFromString("(a b c)");
    }

    public void testLength() {
	assertEquals(3, abc.length());
    }

    public void testAppend() {
	assertEquals(Lisp.readFromString("(a b c a b c)"),
		     abc.append(abc));
    }

    // /\/: Convert the rest of the old tests.

}

