/* Author: Jeff Dalton <J.Dalton@ed.ac.uk>
 * Updated: Tue Apr 24 17:58:19 2001 by Jeff Dalton
 * Copyright: (c) 2001, AIAI, University of Edinburgh
 */

package ix.util.lisp;

import junit.framework.*;

/**
 * Symbol test cases.
 */
public class SymbolTest extends TestCase {

    public SymbolTest(String name) {
	super(name);
    }

    // /\/: Maybe reset obtable after each test.

    public void testSelfEq() {
	assertSame(Symbol.intern("snore"), Symbol.intern("snore"));
    }

    public void testInternFactory() {
	assert(Symbol.intern("apple") instanceof Symbol);
	assert(Symbol.intern(":apple") instanceof Keyword);
	assert(Symbol.intern("?apple") instanceof ItemVar);
	assert(Keyword.intern(":apple") instanceof Keyword);
    }

}

